//
// Created by jedi on 11/1/18.
//

#ifndef MGL_DMXMENU_SCREEN_H
#define MGL_DMXMENU_SCREEN_H

#include "hal/hal.h"
#include "gfx/canvas.h"

class screen {
private:
    const int width_;
    const int height_;

public:
    screen(int w, int h);

    void draw(int x, int y);

    void draw(int x, int y, canvas &c);

    void print(int x, int y, const char *str, font & = basic_5x4);

    void print(int x, int y, char *str, font & = basic_5x4);

    int getWidth();

    int getHeight();

};


#endif //MGL_DMXMENU_SCREEN_H
