//
// Created by jedi on 11/1/18.
//

#include "gfx/screen.h"

screen::screen(int w, int h) : width_(w), height_(h) {
    hal_init_screen(w,h);
}

void screen::draw(int x, int y) {
    hal_draw(x, y);
}

void screen::draw(int x, int y, canvas &c) {
    for (int x_ = 0; x_ < width_; x_++)
        for (int y_ = 0; y_ < height_; y_++)
            if (c.buffer_.get(x_ * height_ + y_))
                hal_draw(x + x_, y + y_);
}

void screen::print(int x, int y, const char *str, font& f) {
    //f.print(x, y, str);
}

void screen::print(int x, int y, char *str, font& f) {
    //f.print(x, y, str);
}

int screen::getWidth(){
    return width_;
}

int screen::getHeight(){
    return height_;
}